Summary: Round Robin Database Tool to store and display time-series data
Name: rrdtool
Version: 1.2.11
Release: 1tr
License: GPL
Group: Trustix Official
Source: http://people.ee.ethz.ch/~oetiker/webtools/rrdtool/pub/rrdtool-%{version}.tar.gz
BuildRequires: openssl-devel libpng-devel libart-devel
BuildRequires: zlib-devel freetype-devel cgilib >= 0.5
Requires: perl >= %(rpm -q --qf '%%{version}' perl) libart
Requires: %{name}-perl
BuildRoot: %{_tmppath}/%{name}-root

%define perl_sitearch %(perl -MConfig -e 'print $Config{sitearch}')
%define perl_sitelib %(perl -MConfig -e 'print $Config{sitelib}')

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). It stores the data in a very compact way that will not
expand over time, and it presents useful graphs by processing the data to
enforce a certain data density. It can be used either via simple wrapper
scripts (from shell or Perl) or via frontends that poll network devices and
put a friendly user interface on it.

%package devel
Summary: RRDtool static libraries and header files
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description devel
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). This package allow you to use directly this library.

%package perl
Summary: Perl RRDtool bindings
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description perl
The Perl RRDtool bindings

%prep
%setup -q

%build
%configure --program-prefix='' --enable-perl-site-install \
           --disable-tcl \
	   --disable-python	
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"

rm -rf examples/Makefile* examples/*.in

### Clean up buildroot
rm -rf $RPM_BUILD_ROOT%{perl_archlib} 
rm -rf $RPM_BUILD_ROOT%{perl_sitearch}/auto/*{,/*{,/*}}/.packlist
rm -rf $RPM_BUILD_ROOT%{perl_sitearch}/ntmake.pl

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root, 0755)
%doc CHANGES CONTRIBUTORS COPYING COPYRIGHT NEWS README THREADS TODO
%doc doc/*.txt doc/*.html examples/
%doc %{_mandir}/man1/*.1*
%{_bindir}/rrdcgi
%{_bindir}/rrdtool
%{_bindir}/rrdupdate
%{_libdir}/librrd.so.*
%{_libdir}/librrd_th.so.*
%{_datadir}/rrdtool/

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/rrd.h
%{_libdir}/librrd.a
%{_libdir}/librrd_th.a
%exclude %{_libdir}/librrd.la
%exclude %{_libdir}/librrd_th.la
%{_libdir}/librrd.so
%{_libdir}/librrd_th.so

%files perl
%defattr(-, root, root, 0755)
%doc %{_mandir}/man3/RRDp.3*
%doc %{_mandir}/man3/RRDs.3*
%{perl_sitelib}/RRDp.pm
%{perl_sitearch}/RRDs.pm
%{perl_sitearch}/auto/RRDs/

%changelog
* Tue Aug 09 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.2.11-1tr
- Rebuilt and Added for TSL-3.0 Official
- Minor spec file cleanups

* Tue Jul 26 2005 Olaf Rempel <razzor at kopf minus tisch dot de> 1.2.11-1or
- new upstream

* Sat Jun 18 2005 Olaf Rempel <razzor at kopf minus tisch dot de> 1.2.10-1or
- new upstream
- TSL-2.2 Community Contrib rebuild
